CLICK-INSTALL(1)

NAME
click-install - installs a router configuration into the Click kernel module

SYNOPSIS
click-install [options] [router-file]

DESCRIPTION
Click-install is a convenience program that installs a Click router configuration into the current Linux kernel. It reads a router configuration file in the language, installs the kernel module if necessary, compiles and/or installs any dynamically loadable packages required by the router configuration, installs the router configuration itself by writing it to /proc/click/config, and uninstalls any unused packages. It reports any errors to standard error, including errors reported by the Click module.

OPTIONS
If any filename argument is a single dash "-", click-install will use the standard input or output instead, as appropriate.

-f file
--file file
    Read the router configuration to transform from file. The default is the standard input.

-h, --hot-swap
    Hot-swap install the new configuration. If you supply this option, the new configuration will only be installed if it initializes correctly. If it fails, the old configuration will continue to route packets without interruption. Furthermore, state from the old configuration -- such as packets contained in elements -- will be swapped into the new configuration under certain conditions. See under /proc/click/hotconfig in for details.

-u, --uninstall
    Uninstall and reinstall the Click kernel module. --hot-swap and --uninstall are mutually exclusive.

-t, --threads=N
    The Click kernel module will run N threads per router. Click must have been build with --enable-multithread. This option only matters when click-install installs a Click kernel module. The thread count on an installed kernel module cannot be changed. (The --uninstall option is useful here.)

-n, --priority=N
    Set the Click kernel thread's priority to N. Lower numbers have higher priority. A typical range for priority values is -20 (highest) to +19 (lowest). If you do not give a --priority option, then the current priority is left unchanged.

-p, --private
    Make the /proc/click directory hierarchy readable only by root. Generally, files under /proc/click are writable only by root, but readable by everyone. Works only when simultaneously loading a Click kernel module; see --uninstall.

-m, --map
    If a Click kernel module is installed, write its load map to standard output. This can make it easier to debug kernel panics.

-V, --verbose
    Print information about each step in the install process, including the filenames of any installed modules.

--help
    Print usage information and exit.

--version
    Print the version number and some quickie warranty information and exit.

SEE ALSO

AUTHOR
Eddie Kohler, eddietwo@lcs.mit.edu
http://www.pdos.lcs.mit.edu/click/